%define major 1
%define minor 0
%define fix 9

%define sover 1

Name: brotli
Version: %{major}.%{minor}.%{fix}
Release: 2
License: MIT
Summary: Lossless Compression Algorithm
Url: https://github.com/google/brotli

BuildRequires: cmake >= 3.16.9

Source0: https://github.com/google/brotli/archive/v%{version}.tar.gz

%description
This package contains the brotli command line utility to compress and
decompress data with the brotli compression algorithm.

Brotli is a generic-purpose lossless compression algorithm that
compresses data using a combination of a modern variant of the LZ77
algorithm, Huffman coding and 2nd order context modeling, with a
compression ratio comparable to the best currently available
general-purpose compression methods. It is similar in speed with
deflate but offers more dense compression.

The specification of the Brotli Compressed Data Format is defined in
RFC 7932.

%package -n libbrotlicommon%{sover}
Summary:        Common Library for Brotli Compression

%description -n libbrotlicommon%{sover}
Common library for the Brotli general purpose lossless data
compression algorithm.

%package -n libbrotlidec%{sover}
Summary:        Library for Brotli Decompression

%description -n libbrotlidec%{sover}
Decompression library for the Brotli general purpose lossless data
compression algorithm.

The specification of the Brotli Compressed Data Format is defined in
RFC 7932.

%package -n libbrotlienc%{sover}
Summary:        Library for Brotli Compression

%description -n libbrotlienc%{sover}
Compression library for the Brotli general purpose lossless data
compression algorithm.

The specification of the Brotli Compressed Data Format is defined in
RFC 7932.

%package devel
Summary:        Development and Header Files for Brotli Compression

Requires:       libbrotlicommon%{sover} = %{version}-%{release}
Requires:       libbrotlidec%{sover} = %{version}-%{release}
Requires:       libbrotlienc%{sover} = %{version}-%{release}

%description devel
Development and headers files for (de)compressing data using the
Brotli general purpose lossless compression algorithm.

The specification of the Brotli Compressed Data Format is defined in
RFC 7932.


%prep
%setup -q

%build

cmake -Bbuild-cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=%{_prefix}
cmake --build build-cmake --config Release --target install -j 8

%install
cd build-cmake
%make_install

find %{buildroot}%{_libdir} -name \*.a | xargs rm

%files
%defattr(-, qsys, *none)
%license LICENSE
%{_bindir}/brotli

%files -n libbrotlicommon%{sover}
%defattr(-, qsys, *none)
%_libdir/libbrotlicommon.so.%{sover}

%files -n libbrotlidec%{sover}
%defattr(-, qsys, *none)
%_libdir/libbrotlidec.so.%{sover}

%files -n libbrotlienc%{sover}
%defattr(-, qsys, *none)
%_libdir/libbrotlienc.so.%{sover}

%files devel
%defattr(-, qsys, *none)
%{_includedir}/brotli/
%{_libdir}/libbrotlicommon.so
%{_libdir}/libbrotlidec.so
%{_libdir}/libbrotlienc.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Feb 22 2022 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.0.9
- Stop renaming so.version to so.sover because cmake >= 3.16.9 does this now.

* Thu Nov 4 2021 Jason Hansen <stymie@us.ibm.com> - 1.0.9
- Intra-package Requires need version and release

* Thu Jan 21 2021 Xu Meng <mengxumx@cn.ibm.com> - 1.0.9
- Initial commit
